(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*               Pierre Weis, projet Cristal, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 2001 Institut National de Recherche en Informatique et   *)
(*  en Automatique.  All rights reserved.  This file is distributed    *)
(*  only by permission.                                                *)
(*                                                                     *)
(***********************************************************************)
type valeur =
   | Inconnue
   | Ent of int
   | Bool of bool
   | Tableau of int * valeur array;;

exception Erreur_excution of string;;

let ent_val = function
  | Ent n -> n
  | _ -> raise(Erreur_excution "entier attendu")
and bool_val = function
  | Bool b -> b
  | _ -> raise(Erreur_excution "boolen attendu")
and tableau_val = function
  | Tableau(inf, t) -> (inf, t)
  | _ -> raise(Erreur_excution "tableau attendu");;

let affiche_valeur v =
  print_int(ent_val v); print_newline();;

let lire_valeur () =
  let entre = read_line () in
  try Ent(int_of_string entre)
  with Failure _ -> raise(Erreur_excution "erreur de lecture");;
